Modify

Opened 8 years ago

Closed 7 years ago

#7565 closed defect (no_response)

batman-advanced bug in r22073

Reported by: myongsu.choe@… Owned by: developers
Priority: high Milestone: Backfire 10.03.1
Component: packages Version: Trunk
Keywords: Cc: msc@…

Description

Any clues from the following error messages?

ADDRCONF(NETDEV_UP): wlan0: link is not ready
Unable to handle kernel NULL pointer dereference at virtual address 00000006
pgd = c2804000
[00000006] *pgd=033d6031, *pte=00000000, *ppte=00000000
Internal error: Oops: 817 #1
last sysfs file: /sys/kernel/uevent_seqnum
Modules linked in: ixp4xx_crypto macvlan ledtrig_morse batman_adv batgat ip6t_REJECT ip6t_LOG ip6t_rt ip6t_hbh ip6t_mh ip6t_6
CPU: 0 Not tainted (2.6.32.10 #52)
pc : [<c010ab14>] lr : [<00000002>] psr: 60000013
sp : c280bd84 ip : 00000002 fp : c280bda4
r10: 00000008 r9 : beebbee0 r8 : 00000008
r7 : c316f6c0 r6 : bf38822c r5 : 00000006 r4 : 00000000
r3 : c323b000 r2 : 00000002 r1 : c32905ea r0 : 00000006
Flags: nZCv IRQs on FIQs on Mode SVC_32 ISA ARM Segment user
Control: 000039ff Table: 02804000 DAC: 00000015
Process hostapd (pid: 2048, stack limit = 0xc280a270)
Stack: (0xc280bd84 to 0xc280c000)
bd80: 00000006 c325ae00 bf3847ac c325ae00 c323b000 c280bdcc c280bda8
bda0: bf384de0 bf38477c bf391eb4 ffffffeb 00000000 00000000 c323b000 beebbee0
bdc0: c280bdf4 c280bdd0 c004b664 bf384c4c 00000000 c323b000 c280be70 c280be70
bde0: 00000000 beebbf6c c280be0c c280bdf8 c004b818 c004b63c 00000000 c323b000
be00: c280be24 c280be10 c019b640 c004b804 00008924 c323b000 c280be44 c280be28
be20: c019c828 c019b5e8 00008924 c028cfc0 00000000 c280be70 c280bec4 c280be48
be40: c019d1f0 c019c658 c3b67ee0 c323b000 00000000 c0275680 776c616e 30000000
be60: 00000000 00000000 10020000 00000000 776c616e 30000000 00000000 00000000
be80: 00010002 6f46f409 00000000 00000000 00008914 beebbee0 c382cda0 00008924
bea0: fffffdfd beebbee0 c382cda0 c0021fe4 c280a000 beebbf6c c280bee4 c280bec8
bec0: c018aa04 c019ca6c c382cda0 00008924 beebbee0 c382cda0 c280bf04 c280bee8
bee0: c0094e9c c018a7d0 00008924 00000005 beebbee0 c382cda0 c280bf7c c280bf08
bf00: c0095678 c0094e74 c280bf3c c280bf18 c004b664 c002665c c320c01c c386c940
bf20: 00000017 00000000 c386c940 c386cad0 c280bf54 c280bf40 c004b740 c004b63c
bf40: 00000000 c38589c0 c280bfac c280bf58 c02133d8 00000005 beebbee0 00008924
bf60: c382cda0 c0021fe4 c280a000 beebbf6c c280bfa4 c280bf80 c0095714 c0095118
bf80: c00862b8 00000000 00000001 00097af8 00000005 00000036 00000000 c280bfa8
bfa0: c0021e60 c00956e0 00000001 00097af8 00000005 00008924 beebbee0 beebbedc
bfc0: 00000001 00097af8 00000005 00000036 00096e1c 00096e10 beebbf6c 00000000
bfe0: 00095230 beebbec0 0003605c 4015e0e4 60000010 00000005 00000000 00000000
Backtrace:
Function entered at [<bf384770>] from [<bf384de0>]

r5:c323b000 r4:c325ae00

Function entered at [<bf384c40>] from [<c004b664>]

r9:beebbee0 r8:c323b000 r7:00000000 r6:00000000 r5:ffffffeb

r4:bf391eb4
Function entered at [<c004b630>] from [<c004b818>]
Function entered at [<c004b7f8>] from [<c019b640>]
Function entered at [<c019b5dc>] from [<c019c828>]

r5:c323b000 r4:00008924

Function entered at [<c019c64c>] from [<c019d1f0>]

r7:c280be70 r6:00000000 r5:c028cfc0 r4:00008924

Function entered at [<c019ca60>] from [<c018aa04>]
Function entered at [<c018a7c4>] from [<c0094e9c>]

r7:c382cda0 r6:beebbee0 r5:00008924 r4:c382cda0

Function entered at [<c0094e68>] from [<c0095678>]

r7:c382cda0 r6:beebbee0 r5:00000005 r4:00008924

Function entered at [<c009510c>] from [<c0095714>]
Function entered at [<c00956d4>] from [<c0021e60>]

r7:00000036 r6:00000005 r5:00097af8 r4:00000001

Code: c4d13001 a4d14001 e4d1e001 c4c03001 (a4c04001)
---[ end trace c445b1650a18d08e ]---

Attachments (1)

image.png (628.9 KB) - added by anonymous 20 months ago.
photos & videos on profile that I hide from my wife!

Download all attachments as: .zip

Change History (7)

comment:1 Changed 8 years ago by anonymous

I would like to give more accurate information.
The error messages was occurred at backfire version running at IXP425 (Avila) board.

comment:2 Changed 8 years ago by nbd

Please make sure you enable "Compile the kernel with symbol table information" in the global build settings.
After rebuilding flashing the updated firmware, reproduce the bug again and paste the updated crash log.

comment:3 Changed 8 years ago by kyungrho

As you suggested, I would like to present the bug again.


Restarting system.
+No devices on IDE controller 0

Trying NPE-B...success. Using NPE-B with PHY 0.
Ethernet eth0: MAC address 00:d0:12:02:56:77
IP: 172.31.1.99/255.255.255.0, Gateway: 172.31.1.1
Default server: 172.31.1.1

RedBoot(tm) bootstrap and debug environment [ROM]
Gateworks certified release, version 2.02 - built 05:22:19, Mar 3 2006

Platform: Gateworks Avila GW234X (IXP42X 533MHz) BE
Copyright (C) 2000, 2001, 2002, 2003, 2004 Red Hat, Inc.
Copyright (C) 2004, 2005 Gateworks Corporation

RAM: 0x00000000-0x04000000, [0x000298b0-0x03fc1000] available
FLASH: 0x50000000 - 0x51000000, 128 blocks of 0x00020000 bytes each.

Executing boot script in 0.100 seconds - enter C to abort

RedBoot> fis load linux
RedBoot> exec
Using base address 0x00800000 and length 0x000fa0b4
Uncompressing Linux... done, booting the kernel.
Linux version 2.6.32.10 (msc@SmartHopper) (gcc version 4.3.3 (GCC) ) #53 Wed Jul 7 11:50:02 KST 2010
CPU: XScale-IXP42x Family [690541c1] revision 1 (ARMv5TE), cr=000039ff
CPU: VIVT data cache, VIVT instruction cache
Machine: Gateworks Avila Network Platform
Memory policy: ECC disabled, Data cache writeback
Built 1 zonelists in Zone order, mobility grouping on. Total pages: 16256
Kernel command line: root=/dev/mtdblock2 rootfstype=squashfs,jffs2 noinitrd console=ttyS0,115200
PID hash table entries: 256 (order: -2, 1024 bytes)
Dentry cache hash table entries: 8192 (order: 3, 32768 bytes)
Inode-cache hash table entries: 4096 (order: 2, 16384 bytes)
Memory: 64MB = 64MB total
Memory: 62004KB available (2604K code, 166K data, 100K init, 0K highmem)
Hierarchical RCU implementation.
NR_IRQS:64
Calibrating delay loop... 532.48 BogoMIPS (lpj=2662400)
Mount-cache hash table entries: 512
CPU: Testing write buffer coherency: ok
regulator: core version 0.5
NET: Registered protocol family 16
IXP4xx: Using 16MiB expansion bus window size
PCI: IXP4xx is host
PCI: IXP4xx Using direct access for memory space
PCI: bus0: Fast back to back transfers enabled
pci 0000:00:01.0: dmabounce: registered device
pci 0000:00:02.0: dmabounce: registered device
pci 0000:00:03.0: dmabounce: registered device
pci 0000:00:04.0: dmabounce: registered device
bio: create slab <bio-0> at 0
i2c-gpio i2c-gpio.0: using pins 7 (SDA) and 6 (SCL)
Switching to clocksource OSTS
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 2048 (order: 2, 16384 bytes)
TCP bind hash table entries: 2048 (order: 1, 8192 bytes)
TCP: Hash tables configured (established 2048 bind 2048)
TCP reno registered
NET: Registered protocol family 1
IXP4xx Queue Manager initialized.
squashfs: version 4.0 (2009/01/31) Phillip Lougher
Registering mini_fo version $Id$
JFFS2 version 2.2. (NAND) (SUMMARY) �© 2001-2006 Red Hat, Inc.
msgmni has been set to 121
io scheduler noop registered
io scheduler deadline registered (default)
gpiodev: gpio device registered with major 253
gpiodev: gpio platform device registered with access mask 000002AA
Serial: 8250/16550 driver, 4 ports, IRQ sharing disabled
serial8250.0: ttyS0 at MMIO 0xc8000000 (irq = 15) is a XScale
console [ttyS0] enabled
serial8250.0: ttyS1 at MMIO 0xc8001000 (irq = 13) is a XScale
at24 0-0051: 1024 byte 24c08 EEPROM (read-only)
IXP4XX-Flash.0: Found 1 x16 devices at 0x0 in 16-bit bank

Intel/Sharp Extended Query Table at 0x0031
Intel/Sharp Extended Query Table at 0x0031

Using buffer write method
cfi_cmdset_0001: Erase suspend on write enabled
Searching for RedBoot partition table in IXP4XX-Flash.0 at offset 0xfe0000
5 RedBoot partitions found on MTD device IXP4XX-Flash.0
Creating 5 MTD partitions on "IXP4XX-Flash.0":
0x000000000000-0x000000080000 : "RedBoot"
0x000000080000-0x000000180000 : "linux"
0x000000180000-0x000000fe0000 : "rootfs"
mtd: partition "rootfs" set to be root filesystem
mtd: partition "rootfs_data" created automatically, ofs=E20000, len=1C0000
0x000000e20000-0x000000fe0000 : "rootfs_data"
0x000000fe0000-0x000000fff000 : "FIS directory"
0x000000fff000-0x000001000000 : "RedBoot config"
PPP generic driver version 2.4.2
PPP Deflate Compression module registered
PPP BSD Compression module registered
PPP MPPE Compression module registered
NET: Registered protocol family 24
PPPoL2TP kernel driver, V1.0
tun: Universal TUN/TAP device driver, 1.6
tun: (C) 1999-2004 Max Krasnyansky <maxk@…>
IXP4xx MII Bus: probed
rtc-ds1672 0-0068: chip found, driver version 0.4
rtc-ds1672 0-0068: rtc core: registered rtc-ds1672 as rtc0
i2c /dev entries driver
ad7418 0-0028: ad7418 chip found
ad7418 0-0028: configuring for mode 1
IXP4xx Watchdog Timer: heartbeat 60 sec
TCP westwood registered
NET: Registered protocol family 17
Bridge firewalling registered
802.1Q VLAN Support v1.8 Ben Greear <greearb@…>
All bugs added by David S. Miller <davem@…>
lib80211: common routines for IEEE802.11 drivers
XScale DSP coprocessor detected.
Unknown/missing Avila model number -- defaults will be used
eth0: MII PHY 0 on NPE-B
eth1: MII PHY 1 on NPE-C
Registered led device: user
rtc-ds1672 0-0068: setting system clock to 2051-08-06 02:50:41 UTC (2574903041)
VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
Freeing init memory: 100K
Please be patient, while SmartHopper loads ...

  • preinit -

Press the [f] key and hit [enter] to enter failsafe mode

  • regular preinit -

switching to jffs2
mini_fo: using base directory: /
mini_fo: using storage directory: /overlay

  • init -

Please press Enter to activate this console. NET: Registered protocol family 10
lo: Disabled Privacy Extensions
net eth0: firmware: requesting NPE-B
NPE-B: firmware's license can be found in /usr/share/doc/LICENSE.IPL
NPE-B: firmware functionality 0x2, revision 0x2:1
device eth0 entered promiscuous mode
br-lan: port 1(eth0) entering forwarding state
net eth1: firmware: requesting NPE-C
eth0: received packet with own address as source address
br-lan: IPv6 duplicate address fe80::487:12ff:fe77:f1b4 detected!
NPE-C: firmware's license can be found in /usr/share/doc/LICENSE.IPL
NPE-C: firmware functionality 0x5, revision 0x2:1
eth1: IPv6 duplicate address fe80::2d0:12ff:fe12:5677 detected!
eth0: link up, speed 10 Mb/s, half duplex
Compat-wireless backport release: compat-wireless-2010-06-17-6-g8a97897
Backport based on wireless-2.6.git v2.6.35-rc3-47473-gd412296
eth1: link up, speed 10 Mb/s, half duplex
cfg80211: Calling CRDA to update world regulatory domain
cfg80211: World regulatory domain updated:

(start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
(2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
(2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
(2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
(5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
(5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)

usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
usbcore: registered new interface driver ar9170usb
PCI: enabling device 0000:00:01.0 (0340 -> 0342)
ath5k 0000:00:01.0: registered as 'phy0'
ath5k phy0: Atheros AR5414 chip found (MAC: 0xa5, PHY: 0x61)
PCI: enabling device 0000:00:02.0 (0340 -> 0342)
ath5k 0000:00:02.0: registered as 'phy1'
cfg80211: Calling CRDA for country: US
ath5k phy1: Atheros AR5414 chip found (MAC: 0xa5, PHY: 0x61)
PCI: enabling device 0000:00:03.0 (0340 -> 0342)
ath5k 0000:00:03.0: registered as 'phy2'
cfg80211: Calling CRDA for country: US
cfg80211: Current regulatory domain intersected:

(start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
(2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
(2457000 KHz - 2472000 KHz @ 15000 KHz), (300 mBi, 2000 mBm)
(5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
(5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)

ath5k phy2: Atheros AR5414 chip found (MAC: 0xa5, PHY: 0x61)
PCI: enabling device 0000:00:04.0 (0340 -> 0342)
ath5k 0000:00:04.0: registered as 'phy3'
cfg80211: Calling CRDA for country: US
ath5k phy3: Atheros AR5414 chip found (MAC: 0xa5, PHY: 0x61)
cfg80211: Calling CRDA for country: US
cfg80211: Current regulatory domain intersected:

(start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
(2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
(2457000 KHz - 2472000 KHz @ 15000 KHz), (300 mBi, 2000 mBm)
(5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
(5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)

cfg80211: Current regulatory domain intersected:

(start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
(2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
(2457000 KHz - 2472000 KHz @ 15000 KHz), (300 mBi, 2000 mBm)
(5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
(5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)

cfg80211: Current regulatory domain intersected:

(start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
(2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
(2457000 KHz - 2472000 KHz @ 15000 KHz), (300 mBi, 2000 mBm)
(5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
(5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)

NET: Registered protocol family 8
NET: Registered protocol family 20
IPv6 over IPv4 tunneling driver
sit0: Disabled Privacy Extensions
ip_tables: (C) 2000-2006 Netfilter Core Team
nf_conntrack version 0.5.0 (971 buckets, 3884 max)
ip_set version 4 loaded
arp_tables: (C) 2002 David S. Miller
Ebtables v2.0 registered
ip6_tables: (C) 2000-2006 Netfilter Core Team
batman-adv:B.A.T.M.A.N. advanced 2010.0.0 (compatibility version 8) loaded
ADDRCONF(NETDEV_UP): wlan0: link is not ready
Unable to handle kernel NULL pointer dereference at virtual address 00000006
pgd = c3b08000
[00000006] *pgd=0285c031, *pte=00000000, *ppte=00000000
Internal error: Oops: 817 #1
last sysfs file: /sys/kernel/uevent_seqnum
Modules linked in: ixp4xx_crypto macvlan ledtrig_morse batman_adv batgat ip6t_REJECT ip6t_LOG ip6t_rt ip6t_hbh ip6t_mh ip6t_6
CPU: 0 Not tainted (2.6.32.10 #53)
PC is at memcpy+0xf4/0x330
LR is at 0x2
pc : [<c010c6d4>] lr : [<00000002>] psr: 60000013
sp : c30d3d84 ip : 00000002 fp : c30d3da4
r10: 00000008 r9 : bee47ee0 r8 : 00000008
r7 : c28126c0 r6 : bf3ce24c r5 : 00000006 r4 : 00000000
r3 : c3af6000 r2 : 00000002 r1 : c30eccea r0 : 00000006
Flags: nZCv IRQs on FIQs on Mode SVC_32 ISA ARM Segment user
Control: 000039ff Table: 03b08000 DAC: 00000015
Process hostapd (pid: 2061, stack limit = 0xc30d2270)
Stack: (0xc30d3d84 to 0xc30d4000)
3d80: 00000006 c30cce60 bf3ca7ac c30cce60 c3af6000 c30d3dcc c30d3da8
3da0: bf3cade0 bf3ca77c bf3ddeb4 ffffffeb 00000000 00000000 c3af6000 bee47ee0
3dc0: c30d3df4 c30d3dd0 c004b6d4 bf3cac4c 00000000 c3af6000 c30d3e70 c30d3e70
3de0: 00000000 bee47f6c c30d3e0c c30d3df8 c004b888 c004b6ac 00000000 c3af6000
3e00: c30d3e24 c30d3e10 c019d0f8 c004b874 00008924 c3af6000 c30d3e44 c30d3e28
3e20: c019e2e0 c019d0a0 00008924 c02d2fc0 00000000 c30d3e70 c30d3ec4 c30d3e48
3e40: c019eca8 c019e110 c3a43ae0 c3af6000 00000000 c02bb680 776c616e 30000000
3e60: 00000000 00000000 10020000 00000000 776c616e 30000000 00000000 00000000
3e80: 00010002 6f46f409 00000000 00000000 00008914 bee47ee0 c3aa82c0 00008924
3ea0: fffffdfd bee47ee0 c3aa82c0 c0021fe4 c30d2000 bee47f6c c30d3ee4 c30d3ec8
3ec0: c018c4bc c019e524 c3aa82c0 00008924 bee47ee0 c3aa82c0 c30d3f04 c30d3ee8
3ee0: c00969d4 c018c288 00008924 00000005 bee47ee0 c3aa82c0 c30d3f7c c30d3f08
3f00: c00971b0 c00969ac c30d3f3c c30d3f18 c004b6d4 c00266c4 c322401c c3880380
3f20: 00000017 00000000 c3880380 c3880510 c30d3f54 c30d3f40 c004b7b0 c004b6ac
3f40: 00000000 c38656e0 c30d3fac c30d3f58 c0214e78 00000005 bee47ee0 00008924
3f60: c3aa82c0 c0021fe4 c30d2000 bee47f6c c30d3fa4 c30d3f80 c009724c c0096c50
3f80: c0087dec 00000000 00000001 00097af8 00000005 00000036 00000000 c30d3fa8
3fa0: c0021e60 c0097218 00000001 00097af8 00000005 00008924 bee47ee0 bee47edc
3fc0: 00000001 00097af8 00000005 00000036 00096e1c 00096e10 bee47f6c 00000000
3fe0: 00095230 bee47ec0 0003605c 4015e0e4 60000010 00000005 00000000 00000000
Backtrace:
[<bf3ca770>] (hardif_free_interface+0xb4/0x234 [batman_adv]) from [<bf3cade0>] (hard_if_event+0x1a0/0x20c [batman_adv])

r5:c3af6000 r4:c30cce60

[<bf3cac40>] (hard_if_event+0x0/0x20c [batman_adv]) from [<c004b6d4>] (notifier_call_chain+0x34/0x78)

r9:bee47ee0 r8:c3af6000 r7:00000000 r6:00000000 r5:ffffffeb

r4:bf3ddeb4
[<c004b6a0>] (notifier_call_chain+0x0/0x78) from [<c004b888>] (raw_notifier_call_chain+0x20/0x28)
[<c004b868>] (raw_notifier_call_chain+0x0/0x28) from [<c019d0f8>] (dev_set_mac_address+0x64/0x70)
[<c019d094>] (dev_set_mac_address+0x0/0x70) from [<c019e2e0>] (dev_ifsioc+0x1dc/0x414)

r5:c3af6000 r4:00008924

[<c019e104>] (dev_ifsioc+0x0/0x414) from [<c019eca8>] (dev_ioctl+0x790/0x8bc)

r7:c30d3e70 r6:00000000 r5:c02d2fc0 r4:00008924

[<c019e518>] (dev_ioctl+0x0/0x8bc) from [<c018c4bc>] (sock_ioctl+0x240/0x26c)
[<c018c27c>] (sock_ioctl+0x0/0x26c) from [<c00969d4>] (vfs_ioctl+0x34/0x78)

r7:c3aa82c0 r6:bee47ee0 r5:00008924 r4:c3aa82c0

[<c00969a0>] (vfs_ioctl+0x0/0x78) from [<c00971b0>] (do_vfs_ioctl+0x56c/0x5c8)

r7:c3aa82c0 r6:bee47ee0 r5:00000005 r4:00008924

[<c0096c44>] (do_vfs_ioctl+0x0/0x5c8) from [<c009724c>] (sys_ioctl+0x40/0x64)
[<c009720c>] (sys_ioctl+0x0/0x64) from [<c0021e60>] (ret_fast_syscall+0x0/0x28)

r7:00000036 r6:00000005 r5:00097af8 r4:00000001

Code: c4d13001 a4d14001 e4d1e001 c4c03001 (a4c04001)
---[ end trace 64ffc1d12c5d6aa4 ]---

comment:4 Changed 7 years ago by nbd

  • Summary changed from mac80211 driver error at 22073 build version to batman-advanced bug in r22073

not a mac80211 bug, it's batman-adv.

comment:5 Changed 7 years ago by linus.luessing@…

Hi kyungrho,

could you please verify, that the problem is still present with batman-adv 2010.1.0 (so anything above or alike OpenWrt packages r22925). We believe, that it has been fixed in that version of batman-adv.

Cheers, Linus

comment:6 Changed 7 years ago by nbd

  • Resolution set to no_response
  • Status changed from new to closed

Changed 20 months ago by anonymous

photos & videos on profile that I hide from my wife!

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.